aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--main/perl-class-load/APKBUILD14
1 files changed, 7 insertions, 7 deletions
diff --git a/main/perl-class-load/APKBUILD b/main/perl-class-load/APKBUILD
index 374540b40c..54dc9acc22 100644
--- a/main/perl-class-load/APKBUILD
+++ b/main/perl-class-load/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=perl-class-load
_pkgreal=Class-Load
-pkgver=0.22
+pkgver=0.23
pkgrel=0
pkgdesc="A working (require "Class::Name") and more"
url="http://search.cpan.org/dist/Class-Load/"
@@ -20,21 +20,21 @@ _builddir="$srcdir/$_pkgreal-$pkgver"
prepare() {
cd "$_builddir"
export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
- perl Build.PL installdirs=vendor || return 1
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
}
build() {
cd "$_builddir"
export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
- ./Build && ./Build test
+ make && make test
}
package() {
cd "$_builddir"
- ./Build install destdir="$pkgdir" || return 1
+ make DESTDIR="$pkgdir" install || return 1
find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
}
-md5sums="ad59087e70b0df76d718c90b53e209d5 Class-Load-0.22.tar.gz"
-sha256sums="be52db6081b565002d68a1578ed06c7777b8845e92597be47f1c22e90b123111 Class-Load-0.22.tar.gz"
-sha512sums="1f61c9ffd0c7d854c830143109f0b0f98a3f9666971d3f0b2567fd97f7aa703bf0bc9f7342f0489d90ac4765d90695a5783f822458e0eb9a6f5cf4c98b465da4 Class-Load-0.22.tar.gz"
+md5sums="080973026b82051117b6c18f5d77aaa9 Class-Load-0.23.tar.gz"
+sha256sums="f2bca579e72ea96c6b1c5ebc86dfa1929062c412443277f0bc0437e50874b28f Class-Load-0.23.tar.gz"
+sha512sums="c4e39a0b53dcb9e91c6ac160b15d253aa257fc327c2f4e333b8a3689a6c697412385d47d0a52e55a9420b8cc1a7f46d8d0c1ff54f13ae2a88e0f9df8935cffed Class-Load-0.23.tar.gz"